'use strict';

const Main = imports.ui.main;
const inputSourceManager = imports.ui.status.keyboard.getInputSourceManager();

let lockScreenHandlerId = null;
function init() {
    debug('Initializing...');
}

function enable() {
    if (lockScreenHandlerId) return;
    debug("Enableing...");
    lockScreenHandlerId = Main.screenShield.connect('lock-screen-shown', _check_state);
}


function disable() {
    if (!Main.sessionMode.isLocked && lockScreenHandlerId) {
        debug('Disableing...');
        Main.screenShield.disconnect(lockScreenHandlerId);
        lockScreenHandlerId = null;
    }
}


function _check_state() {
    try {
        const primaryInput = inputSourceManager.inputSources["0"];
        const currentInput = inputSourceManager.currentSource;
        if (currentInput != primaryInput) {
            debug('Swiching input to primary')
            primaryInput.activate();
            debug('Done')
        }
    } catch (err) {
        debug(`ERROR: ${err}`);
    }
}

function debug(msg) {
    log(`[PRIMARY_LOCK]: ${msg}`)
}

